@import "src/app/core/sass/abstracts/variables";

#scrollPath {
  position: fixed;
  top: 0;
  right: 0;
  width: 1rem;
  height: 100%;
  background: rgba($color-light-grey-1, 0.05);
}

#progressbar {
  position: fixed;
  top: 0;
  right: 0;
  width: 1rem;
  height: 0;
  background: linear-gradient(to top, black, black);
  z-index: 1000;

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, black, black);
    filter: blur(1rem);
  }

  &::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, black, black);
    filter: blur(2rem);
  }
}

